> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an invitation

> A newly created invitation answers 404 for a few seconds after `POST /invitations` returns.



## OpenAPI

````yaml /openapi.json get /invitations/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /invitations/{id}:
    get:
      tags:
        - Invitations
      summary: Get an invitation
      description: >-
        A newly created invitation answers 404 for a few seconds after `POST
        /invitations` returns.
      operationId: GetInvitationById
      parameters:
        - name: id
          in: path
          description: Unique identifier of the invitation.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: When the request is successful. Returns an 'Invitation' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Invitation'
        '400':
          description: When the specified id is not a valid identifier.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: When the authenticated client carries no firm account (bodyless).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: >-
            When no invitation with the specified id exists for this account
            ('Invitation not found').
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    Invitation:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the invitation.
          nullable: true
          example: 750eb5c5-ac0b-7d11-4997-e0ce9d8896c8
        email:
          type: string
          description: Email address the invitation was sent to.
          nullable: true
          example: jane.doe@example.com
        status:
          type: string
          description: >-
            Pending, Accepted (the person registered with the firm), Expired or
            Cancelled.
          example: Pending
        expiresOn:
          type: string
          description: >-
            When the invitation expires (UTC). A cancelled invitation expired
            when it was cancelled.
          format: date-time
          example: '2026-10-01T04:31:00Z'
        createdOn:
          type: string
          description: When the invitation was created (UTC).
          format: date-time
          example: '2026-09-24T04:31:00Z'
        invitedByUserId:
          type: string
          description: Unique identifier of the user who sent the invitation.
          nullable: true
          example: b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2
      additionalProperties: false
      description: An invitation for a person to join a firm.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.